Main Page Groups Namespaces

# sigc::internal::temp_slot_list Struct Reference

Temporary slot list used during signal emission. More...

List of all members.

## Public Types
typedef signal_impl::slot_list | slot_list
typedef signal_impl::iterator_type | iterator
typedef signal_impl::const_iterator_type | const_iterator
## Public Member Functions
| temp_slot_list (slot_list& slots)
| ~temp_slot_list ()
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const

## Detailed Description

Temporary slot list used during signal emission.

Through evolution this class is slightly misnamed. It is now an index into the slot_list passed into it. It simply keeps track of where the end of this list was at construction, and pretends that's the end of your list. This way you may connect during emittion without inadvertently entering an infinite loop, as well as make other modifications to the slot_list at your own risk.

## Member Typedef Documentation

typedef signal_impl::slot_list sigc::internal::temp_slot_list::slot_list

typedef signal_impl::iterator_type sigc::internal::temp_slot_list::iterator

typedef signal_impl::const_iterator_type sigc::internal::temp_slot_list::const_iterator

## Constructor & Destructor Documentation

sigc::internal::temp_slot_list::temp_slot_list | ( | slot_list& | slots | ) | `[inline]`

sigc::internal::temp_slot_list::~temp_slot_list | ( |  | ) | `[inline]`

## Member Function Documentation

iterator sigc::internal::temp_slot_list::begin | ( |  | ) | `[inline]`

iterator sigc::internal::temp_slot_list::end | ( |  | ) | `[inline]`

const_iterator sigc::internal::temp_slot_list::begin | ( |  | ) | const`[inline]`

const_iterator sigc::internal::temp_slot_list::end | ( |  | ) | const`[inline]`

The documentation for this struct was generated from the following file:

- signal_base.h